## org.apache.cassandra.cache
Class ConcurrentLinkedHashCacheProvider

    java.lang.Object
      org.apache.cassandra.cache.ConcurrentLinkedHashCacheProvider

All Implemented Interfaces:
  IRowCacheProvider

    public class ConcurrentLinkedHashCacheProvider

extends java.lang.Object
implements IRowCacheProvider

Constructor Summary
`ConcurrentLinkedHashCacheProvider()`

Method Summary
`ICache<RowCacheKey,IRowCacheEntry>` `create(long capacity, boolean useMemoryWeigher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentLinkedHashCacheProvider

    public ConcurrentLinkedHashCacheProvider()

Method Detail

### create

    public ICache<RowCacheKey,IRowCacheEntry> create(long capacity,
                                                     boolean useMemoryWeigher)

  Specified by:
    `create` in interface `IRowCacheProvider`

Copyright © 2013 The Apache Software Foundation